.. AUTO-GENERATED FILE. DO NOT EDIT. hardware-toolboxes-get-one ========================== Source ------ - Repository: ``jef-systems/jef-hardware-backend`` - Source Run ID: ``25090515545`` - Source SHA: ``444376867c764658b4ed0286bc44ff0ac8c80995`` - Module: ``hardware`` - Documentation Scope: ``get`` - Lambda: ``jef-hardware-get-7`` Endpoint -------- - API Name: ``jef-hardware`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/hardware-toolboxes-get-one`` - Complete Endpoint: ``https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-get-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-get-7`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-hardware-get-7 API Name: jef-hardware Action: get Method: GET Resource Path: /hardware-toolboxes-get-one Table: - table: jef-hardware-toolboxes - operation: get-one Payload Schema: - pk: toolbox_number Payload Example: - pk: TBX-0001 Response Schema: - exists: boolean - message: string - item: {"toolbox_number":"string","entity_number":"string","toolbox_code":"string","toolbox_name":"string","equipment_name":"string","category":"string","included_items":["string"],"daily_rate":"number","status":"string","updated_at":"string"} Request Payload --------------- .. code-block:: json { "pk": "toolbox_number" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "item": "{\"toolbox_number\":\"string\",\"entity_number\":\"string\",\"toolbox_code\":\"string\",\"toolbox_name\":\"string\",\"equipment_name\":\"string\",\"category\":\"string\",\"included_items\":[\"string\"],\"daily_rate\":\"number\",\"status\":\"string\",\"updated_at\":\"string\"}" } CMD curl -------- .. code-block:: text curl "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-get-one?pk=TBX-0001" PowerShell curl --------------- .. code-block:: text curl.exe "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-get-one?pk=TBX-0001"